2017-07-24 06:31 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001720openmediavaultBugpublic2017-04-21 11:44
Reporterthejoker8814 
Assigned Tovotdev 
PriorityhighSeverityminorReproducibilityalways
StatusclosedResolutionno change required 
PlatformASUS P10S-IOSDebian amd64OS Version4.9.13-1~bpo8+1
Product Version 
Target VersionFixed in VersionErasmus (3.x) 
Summary0001720: OMV upgrade from 3.0.6x to 3.0.70 breaks WebUI through CronApt module
Description:~# omv-engined --debug --foreground
Registered data models:
  conf.service
  conf.service.cups
  conf.service.ftp
  conf.service.ftp.modban.rule
  conf.service.ftp.modtls
  conf.service.ftp.share
  conf.service.nfs
  conf.service.nfs.share
  conf.service.plexmediaserver
  conf.service.rsync.job
  conf.service.rsyncd
  conf.service.rsyncd.module
  conf.service.smartmontools
  conf.service.smartmontools.device
  conf.service.smartmontools.job
  conf.service.smb
  conf.service.smb.share
  conf.service.snmp
  conf.service.ssh
  conf.service.tftp
  conf.service.zeroconf.service
  conf.system.apt.distribution
  conf.system.certificate.ssh
  conf.system.certificate.ssl
  conf.system.cron.job
  conf.system.email
  conf.system.filesystem.mountpoint
  conf.system.filesystem.quota
  conf.system.hdparm
  conf.system.mdadm.device
  conf.system.monitoring.perfstats
  conf.system.network.dns
  conf.system.network.interface
  conf.system.network.iptables.rule
  conf.system.network.proxy
  conf.system.notification.email
  conf.system.notification.notification
  conf.system.omvextras
  conf.system.powermngmnt
  conf.system.sharedfolder
  conf.system.sharedfolder.privilege
  conf.system.syslog.remote
  conf.system.time
  conf.system.usermngmnt.group
  conf.system.usermngmnt.homedir
  conf.system.usermngmnt.user
  conf.webadmin
  rpc.apt.getchangelog
  rpc.apt.setsettings
  rpc.apt.upgrade
  rpc.apt.upload
  rpc.certificatemgmt.create
  rpc.certificatemgmt.createssh
  rpc.certificatemgmt.set
  rpc.certificatemgmt.setssh
  rpc.common.devicefile
  rpc.common.getlist
  rpc.common.objectuuid
  rpc.config.applychanges
  rpc.config.revertchanges
  rpc.cron.getlist
  rpc.cron.set
  rpc.cups.addprinter
  rpc.cups.canceljob
  rpc.cups.getjobs
  rpc.cups.getprinter
  rpc.cups.printername
  rpc.cups.setprinter
  rpc.cups.setsettings
  rpc.diskmgmt.sethdparm
  rpc.diskmgmt.wipe
  rpc.emailnotification.set
  rpc.exec.getoutput
  rpc.exec.isrunning
  rpc.exec.stop
  rpc.filesystemmgmt.create
  rpc.filesystemmgmt.delete
  rpc.filesystemmgmt.enumeratemountedfilesystems
  rpc.filesystemmgmt.hasfilesystem
  rpc.filesystemmgmt.mount
  rpc.filesystemmgmt.resize
  rpc.filesystemmgmt.umount
  rpc.folderbrowser.get
  rpc.fstab.getbydir
  rpc.fstab.getbyfsname
  rpc.fstab.set
  rpc.ftp.setmodbanrule
  rpc.ftp.setmodtlssettings
  rpc.ftp.setsettings
  rpc.ftp.setshare
  rpc.iptables.setrule
  rpc.iptables.setrules
  rpc.iptables.setrules6
  rpc.logfile.clear
  rpc.logfile.getcontent
  rpc.logfile.getlist
  rpc.logicalvolumemgmt.createlogicalvolume
  rpc.logicalvolumemgmt.createlogicalvolumesnapshot
  rpc.logicalvolumemgmt.createvolumegroup
  rpc.logicalvolumemgmt.deletevolumegroup
  rpc.logicalvolumemgmt.extendvolumegroup
  rpc.logicalvolumemgmt.getvolumegroup
  rpc.logicalvolumemgmt.getvolumegroupphysicalvolumes
  rpc.logicalvolumemgmt.modifylogicalvolume
  rpc.logicalvolumemgmt.reducevolumegroup
  rpc.logicalvolumemgmt.renamelogicalvolume
  rpc.logicalvolumemgmt.renamevolumegroup
  rpc.network.enumeratebondslaves
  rpc.network.identify
  rpc.network.setbondiface
  rpc.network.setethernetiface
  rpc.network.setgeneralsettings
  rpc.network.setproxy
  rpc.network.setvlaniface
  rpc.network.setwirelessiface
  rpc.nfs.setsettings
  rpc.nfs.setshare
  rpc.notification.isenabled
  rpc.notification.set
  rpc.omvextras.docommand
  rpc.omvextras.setrepo
  rpc.perfstats.set
  rpc.plexmediaserver.setsettings
  rpc.plugin.install
  rpc.plugin.remove
  rpc.plugin.upload
  rpc.powermgmt.set
  rpc.powermgmt.setscheduledjob
  rpc.quota.set
  rpc.raidmgmt.add
  rpc.raidmgmt.create
  rpc.raidmgmt.delete
  rpc.raidmgmt.getdetail
  rpc.raidmgmt.getslaves
  rpc.raidmgmt.grow
  rpc.raidmgmt.remove
  rpc.rsync.set
  rpc.rsyncd.setmodule
  rpc.rsyncd.setsettings
  rpc.session.login
  rpc.sharemgmt.delete
  rpc.sharemgmt.getfileacl
  rpc.sharemgmt.getprivilegesbyrole
  rpc.sharemgmt.set
  rpc.sharemgmt.setfileacl
  rpc.sharemgmt.setprivileges
  rpc.sharemgmt.setprivilegesbyrole
  rpc.smart.setdevicesettings
  rpc.smart.setscheduledtest
  rpc.smart.setsettings
  rpc.smb.setsettings
  rpc.smb.setshare
  rpc.snmp.set
  rpc.ssh.set
  rpc.syslog.setsettings
  rpc.system.reboot
  rpc.system.setdate
  rpc.system.settimesettings
  rpc.system.shutdown
  rpc.system.standby
  rpc.tftp.set
  rpc.usermngmt.authuser
  rpc.usermngmt.deletegroup
  rpc.usermngmt.deleteuser
  rpc.usermngmt.getgroup
  rpc.usermngmt.getuser
  rpc.usermngmt.importgroup
  rpc.usermngmt.importuser
  rpc.usermngmt.setgroup
  rpc.usermngmt.setsettings
  rpc.usermngmt.setuser
  rpc.usermngmt.setuserbycontext
  rpc.webgui.setpassword
  rpc.webgui.setsettings
  rpc.zeroconf.set
Registered filesystem backends:
  btrfs
  exfat
  ext
  ext2
  ext3
  ext4
  fuseblk
  hfsplus
  iso9660
  jfs
  msdos
  none
  ntfs
  reiserfs
  udf
  ufs
  umsdos
  vfat
  xfs
Registered RPC services:
  apt
  certificatemgmt
  config
  cron
  cups
  diskmgmt
  emailnotification
  exec
  filesystemmgmt
  folderbrowser
  fstab
  ftp
  iptables
  logfile
  logicalvolumemgmt
  network
  nfs
  notification
  omvextras
  perfstats
  plexmediaserver
  plugin
  powermgmt
  quota
  raidmgmt
  rrd
  rsync
  rsyncd
  services
  sharemgmt
  smart
  smb
  snmp
  ssh
  syslog
  system
  tftp
  usermgmt
  webgui
  zeroconf
PHP Fatal error: Cannot redeclare class OMVModuleCronApt in /usr/share/openmediavault/engined/module/cronapt.inc on line 23

Steps To ReproduceRemove omv and reinstall traget version.
Additional Informationmanual removal of cron-apt as workaround is not possible, because of dependencies.

Please let me know if you require further information.
Tagscron
Product build
Attached Files

-Relationships
+Relationships

-Notes

~0004706

thejoker8814 (reporter)

Found out that the mentioned class declaration is found twice.

Seems to be an old fragment of a OMV version prior to the renaming of the class.
Commit https://github.com/openmediavault/openmediavault/commit/b4cddacbc4684c286835411d1f3ee07d012a8469

can be marked as fixed. Please be so kind to consider issue like this in the future.

~0004707

thejoker8814 (reporter)

resolution:

:/usr/share/openmediavault/engined/module# mv cronapt.inc cron-apt.inc
mv: overwrite ‘cron-apt.inc’? y

just for documentation.

~# ll /usr/share/openmediavault/engined/module/ | grep apt
-rw-r--r-- 1 root root 1477 Apr 5 16:34 apt.inc
-rw-r--r-- 1 root root 2119 Nov 4 21:48 cron-apt.inc
-rw-r--r-- 1 root root 2116 Apr 6 08:00 cronapt.inc

/usr/share/openmediavault/engined/module# diff cronapt.inc cron-apt.inc
7c7
< * @copyright Copyright (c) 2009-2017 Volker Theile
---
> * @copyright Copyright (c) 2009-2016 Volker Theile
72c72
< }
---
> }

~0004710

votdev (administrator)

You should delete the cron-apt.inc file.

~0004711

votdev (administrator)

The cron-apt.inc file seems not to be deleted by the package management during the package update as is should. Manually removing the file will fix this issue.
+Notes

-Issue History
Date Modified Username Field Change
2017-04-14 14:16 thejoker8814 New Issue
2017-04-14 14:16 thejoker8814 Status new => assigned
2017-04-14 14:16 thejoker8814 Assigned To => votdev
2017-04-14 14:16 thejoker8814 Tag Attached: cron
2017-04-14 17:07 thejoker8814 Note Added: 0004706
2017-04-14 17:17 thejoker8814 Note Added: 0004707
2017-04-21 11:42 votdev Note Added: 0004710
2017-04-21 11:44 votdev Status assigned => closed
2017-04-21 11:44 votdev Resolution open => no change required
2017-04-21 11:44 votdev Fixed in Version => Erasmus (3.x)
2017-04-21 11:44 votdev Note Added: 0004711
+Issue History